chunk_update_schema = {"type": "object",
                       "properties": {
                           "_id": {"type": "string"},
                           "id": {"type": "string"},
                           "id_alias": {"type": "string"},
                           "title": {"type": "string"},
                           "language": {"type": "string"},
                           "abstract": {"type": "string"},
                           "collection": {"type": "string"},
                           "reference": {"type": "string"},
                           "author": {"type": "array", "items": {"type": "string"}},
                           "date": {"type": "string"},
                           "link_origin": {"type": "string"},
                           "link_alias": {"type": "array", "items": {"type": "string"}},
                           "link_related": {"type": "array", "items": {"type": "string"}},
                           "link_reference": {"type": "array", "items": {"type": "string"}},
                           "mime_type": {"type": "string"},
                           "in_force": {"type": "string"},
                           "taxonomy":  {"type": "array", "items": {"type": "string"}},
                           "other": {"type": "object"},
                           "keywords": {"type": "array", "items": {"type": "object"}},
                           "chunk_text": {"type": "string"},
                           "sbert_embedding": {"type": "array", "items": {"type": "number"}},
                           "annotation": {"type": "string"}
                       },
                       "additionalProperties": False,
                        "required": ["_id"]
                       }

document_post_schema = {"type": "object",
                        "properties": {
                            "id": {"type": "string"},
                            "id_alias": {"type": "string"},
                            "source": {"type": "string"},
                            "title": {"type": "string"},
                            "language": {"type": "string"},
                            "abstract": {"type": "string"},
                            "text": {"type": "string"},
                            "collection": {"type": "string"},
                            "reference": {"type": "string"},
                            "author": {"type": "array", "items": {"type": "string"}},
                            "date": {"type": "string"},
                            "link_origin": {"type": "string"},
                            "link_alias": {"type": "array", "items": {"type": "string"}},
                            "link_related": {"type": "array", "items": {"type": "string"}},
                            "link_reference": {"type": "array", "items": {"type": "string"}},
                            "mime_type": {"type": "string"},
                            "in_force": {"type": "string"},
                            "taxonomy": {"type": "array", "items": {"type": "string"}},
                            "other": {"type": "object"},
                            "keywords": {"type": "array", "items": {"type": "object"}},
                            "annotation": {"type": "string"}
                        },
                        "additionalProperties": False,
                        "required": ["source"]
                        }

chunk_post_schema = {"type": "object",
                     "properties": {
                         "id": {"type": "string"},
                         "document_id": {"type": "string"},
                         "chunk_number": {"type": "number"},
                         "id_alias": {"type": "string"},
                         "source": {"type": "string"},
                         "title": {"type": "string"},
                         "language": {"type": "string"},
                         "abstract": {"type": "string"},
                         "text": {"type": "string"},
                         "collection": {"type": "string"},
                         "reference": {"type": "string"},
                         "author": {"type": "array", "items": {"type": "string"}},
                         "date": {"type": "string"},
                         "link_origin": {"type": "string"},
                         "link_alias": {"type": "array", "items": {"type": "string"}},
                         "link_related": {"type": "array", "items": {"type": "string"}},
                         "link_reference": {"type": "array", "items": {"type": "string"}},
                         "mime_type": {"type": "string"},
                         "in_force": {"type": "string"},
                         "taxonomy": {"type": "array", "items": {"type": "string"}},
                         "other": {"type": "object"},
                         "keywords": {"type": "array", "items": {"type": "object"}},
                         "chunk_text": {"type": "string"},
                         "sbert_embedding": {"type": "array", "items": {"type": "number"},
                                             "minItems": 1024, "maxItems": 1024},
                         "annotation": {"type": "string"}
                     },
                     "additionalProperties": False,
                     "required": ["source", "document_id", "chunk_number"]}

query_post_schema = {"type": "object",
                     "properties": {
                         "term": {"type": "string"},
                         "n_docs": {"type": "number"},
                         "from_doc": {"type": "number"},
                         "source": {"type": "array", "items": {"type": "string"}},
                         "collection": {"type": "array", "items": {"type": "string"}},
                         "reference": {"type": "array", "items": {"type": "string"}},
                         "in_force": {"type": "string"},
                         "sort": {"type": "array", "items": {"type": "string"}},
                         "taxonomy": {"type": "array", "items": {"type": "string"}},
                         "semantic_sort_id_list": {"type": "array", "items": {"type": "string"}},
                         "sbert_embedding_list": {"type": "array", "items": {"type": "array", "items": {"type": "number"}}},
                         "author": {"type": "array", "items": {"type": "string"}},
                         "date_range": {"type": "array", "items": {"type": "string"}},
                         "aggs": {"type": "array", "items": {"type": "string"}},
                         "search_type": {"type": "string"},
                         "other": {"type": "object"},
                         "annotation": {"type": "array", "items": {"type": "string"}}
                     },
                     "additionalProperties": False}
